<?php 
class Log{
	
	const API = 'api';
	const FECHA = 'fecha';
	
	public static function addMensaje($mensaje){
		$salida = APPLICATION_PATH.'/temp/'.date("Ymd").'.txt';
		$fp = fopen($salida,"a+");
		fwrite($fp, date('H:i:s').$mensaje."\n
");
		fclose($fp);
	}	
	
	public static function saveMessage($tipoLog, $mensaje){
		
		switch ($tipoLog){
			case self::API:
				$nombreArchivo = 'api';
				break;
			case self::FECHA:
				$nombreArchivo = date("Ymd");
				break;
		}
		
		$salida = APPLICATION_PATH.'/temp/'.$nombreArchivo.'.txt';
		$fp = fopen($salida,"a+");
		fwrite($fp, date('d/m/Y H:i:s')." ".$mensaje."\n");
		fclose($fp);
	}
	
}